Skip to main content

CancelAuthorization

POST 

/v1/authorization/cancel

Terminate authorization

Request

Body

required

    authorization_id string

    The unique ID of authorization which defined by our end

    reference_authorization_id string

    The unique ID of authorization which defined by your end

    payer

    object

    email_address email

    The email address of the payer.

    payer_id string

    non-empty

    payer_id payer id in merchant

    name

    object

    prefix string

    The prefix, or title, to the party's name.

    given_name string

    When the party is a person, the party's given, or first, name.

    surname string

    When the party is a person, the party's surname or family name. Also known as the last name. Required when the party is a person. Use also to store multiple surnames including the matronymic, or mother's, surname.

    middle_name string

    When the party is a person, the party's middle name. Use also to store multiple middle names including the patronymic, or father's, middle name.

    suffix string

    The suffix for the party's name.

    full_name string

    When the party is a person, the party's full name.

    payer_ip ip

    The ip address of the payer.

    payer_interaction enum

    [Ecommerce, ContAuth]

    trusted payer tag

    payer_type enum

    [MERCHANT, MIDAS]

    kind of payer. MidasPay should query or bind the card to merchant's user when payer_type is MERCHANT. MidasPay should query or bind the card to midas user when payer_type is MIDAS.

    payer_gender enum

    [UNKNOWN, FEMALE, MALE]

    gender of payer.

    payer_telephone_number string

    Value must match regular expression ^\+?\d{5,20}$

    The telephone number of the payer.

    billing_address

    object

    Address of payer or payee

    country string

    country (eg. CN) -- use region_code instead

    state_or_province string

    <= 100 characters

    ISO 3166-2 define

    city string

    city

    county string

    county

    region_code string

    region code

    street string

    street name

    house_number_or_name string

    house info

    postal_code string

    <= 100 characters

    address postal code

    payer_address

    object

    Address of payer or payee

    country string

    country (eg. CN) -- use region_code instead

    state_or_province string

    <= 100 characters

    ISO 3166-2 define

    city string

    city

    county string

    county

    region_code string

    region code

    street string

    street name

    house_number_or_name string

    house info

    postal_code string

    <= 100 characters

    address postal code

    payer_statement string

    Value must match regular expression ^[a-zA-Z][a-zA-Z0-9_ ()-]{3,63}$

    The text to be shown on the shopper's bank statement.We recommend sending a maximum of 22 characters, otherwise banks might truncate the string

    payer_login_id string

    payer login id

    midas_login_id string

    midas login id(muid), Apply only to midasbuy.

    midas_login_id_type string

    midas login id type, Apply only to midasbuy.

    midas_login_id_country string

    midas login id country, Apply only to midasbuy.

    midas_login_id_reg_time string

    midas login id register time, Apply only to midasbuy.

    additional_payment_info string

    additional payment info of channel, collected by checkout page.

    anonymous boolean

    The anonymous indicates whether the payer is anonymous (i.e., not authenticated). If true, the card binding information of the payer cannot be queried.

    contract_query_merchant_id_list string[]

    merchant id list to query contractlength should be 1 when auth_info is authorization_id or reference_authorization_idlength can be more than 1 when auth_info is payerrequested(in header) merchant_id will be used if this field is empty

Responses

OK

Response

    status enum

    [UNKNOWN, PENDING, SUCCESS, FAILED, TERMINATED]

    The order status.

Loading...